#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: monad-par
version: 0.3.4.8
id: monad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
key: monad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
abi: 75c61a35244f2a058dd46d0ae1cd3957
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/monad-par-0.3.4.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/monad-par-0.3.4.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/monad-par-0.3.4.8
hs-libraries: HSmonad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
depends:
    base-4.10.0.0 abstract-par-0.3.3-5IZBJH84Xee8CclC3iNYtW
    abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO
    monad-par-extras-0.3.3-3icVk6zvwBu5HezLSKg3a8 deepseq-1.4.3.0
    array-0.5.2.0 mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB
    containers-0.5.10.2 parallel-3.2.1.1-BDA8bigzIyf7HfOpmZ9w2K
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             abstract-par-0.3.3-5IZBJH84Xee8CclC3iNYtW=8ffb0073b50767fc1732a52424bf1303
             abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO=952aeccd20ae7a407fcced34ea59be77
             monad-par-extras-0.3.3-3icVk6zvwBu5HezLSKg3a8=7864fc99fc01e452c509a9f835b8675e
             deepseq-1.4.3.0=5db6f9c28d6213bd6646f988460dacd0
             array-0.5.2.0=f1e5b16bbab6fd27896e28be963fa7eb
             mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB=ed3949e6eb0d92a5b849e8581407d97a
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             parallel-3.2.1.1-BDA8bigzIyf7HfOpmZ9w2K=a6a9d1f2af48250cd055be2524af2881
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
haddock-interfaces: /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html: /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

